Update issue status
curl --request PATCH \
--url https://app.lucenthq.com/api/v1/issues/{issueId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.lucenthq.com/api/v1/issues/{issueId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.lucenthq.com/api/v1/issues/{issueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"issue": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"previewUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"sessionCount": 1,
"updatedAt": "2023-11-07T05:31:56Z",
"ticketProvider": "<string>",
"ticketUrl": "<string>",
"ticketIdentifier": "<string>",
"stepsToReplicate": "<string>",
"aiVerified": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Data API
Update issue status
Updates an issue’s status. The operation is idempotent: setting the current status again returns 200 with the unchanged issue.
PATCH
/
api
/
v1
/
issues
/
{issueId}
Update issue status
Authorizations
API keys prefixed with luc_api_ or OAuth access tokens prefixed with luc_oat_. Legacy static keys prefixed with luc_mcp_ continue to work.
Path Parameters
Issue UUID.
Example:
"87b3a6b6-5af5-438b-a39c-eff148a68ccb"
Body
application/json
Available options:
unresolved, ticket_created, transient, resolved Response
Updated issue details.
Show child attributes
Show child attributes
⌘I